package com.backendsys.modules.system.service;

import com.backendsys.modules.system.entity.SysUserRole;
import com.backendsys.utils.response.PageEntity;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

public interface SysUserRoleService extends IService<SysUserRole> {

    PageEntity selectUserRoleList(SysUserRole sysUserRole);
    SysUserRole selectUserRoleDetail(SysUserRole sysUserRole);
    Map<String, Object> insertUserRole(SysUserRole sysUserRole);
    Map<String, Object> updateUserRole(SysUserRole sysUserRole);
    Map<String, Object> deleteUserRole(SysUserRole sysUserRole);

    // 根据用户ID获取用户角色集合
    List<SysUserRole> selectUserRoleByUserId(Long user_id);
}
